function [x_final] = showRK4(F,j,h,t_final)

% Requires function: finddxdt.m

t = 0:h:t_final; % time vector
iterations = length(t); % number of iterations
x = F.*ones(j,iterations); % initialize model

% perturb
x(20,1) = 1.001.*x(20,1);

% Use 4th-order Runge-Kutta method (RK4)
for n = 2:iterations
    x_j = squeeze(x(:,(n-1)));
    f1 = finddxdt(x_j,F);
    f2 = finddxdt((h.*f1./2 + x_j),F);
    f3 = finddxdt((h.*f2./2 + x_j),F);
    f4 = finddxdt((h.*f3 + x_j),F);
    x(:,n) = x(:,(n-1)) + h.*(f1 + 2.*f2 + 2.*f3 + f4)./6;
    %x(:,n) = x(:,(n-1)) + h.*finddxdt(x_j,F); % EULER
end

x_final = x(:,iterations);
end


